# Class CIM_ContainedTransform
extends CIM_Component

ContainedTransform associates a proposal with a list of transforms. If multiple transforms of a given type are included in a proposal, these transforms are interpreted as alternatives -- i.e., logically ORed with each other. The order of preference is dictated by the SequenceNumber property. Sets of transforms of different types are logically ANDed. For example, a proposal based on two AH transforms and three ESP transforms means one of the AH AND one of the ESP transforms MUST be chosen. Note that at least 1 transform MUST be aggregated into the proposal.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ContainedTransform

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

ContainedTransform associates a proposal with a list of transforms. If multiple transforms of a given type are included in a proposal, these transforms are interpreted as alternatives -- i.e., logically ORed with each other. The order of preference is dictated by the SequenceNumber property. Sets of transforms of different types are logically ANDed. For example, a proposal based on two AH transforms and three ESP transforms means one of the AH AND one of the ESP transforms MUST be chosen. Note that at least 1 transform MUST be aggregated into the proposal.

MappingStrings | string | IPSP Policy Model.IETF|ContainedTransform
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SequenceNumber | uint16 |
Description | string | SequenceNumber indicates the order of preference for SATransforms of the same type. Lower-valued transforms are preferred over transforms of the same type with higher values. For ContainedTransforms (of the same type) that reference the same IPsecProposal, SequenceNumber values MUST be unique.
MappingStrings | string | IPSP Policy Model.IETF|ContainedTransform.SequenceNumber

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ContainedTransform | CIM_IPsecProposal
PartComponent | CIM_ContainedTransform | CIM_SATransform

## Class Methods